<div *ngIf="filtersLoaded | async" class="mat-elevation-z8">
    <table mat-table [dataSource]="dataSource">
  
      <!-- Position Column -->
      <ng-container matColumnDef="valor">
        <th mat-header-cell *matHeaderCellDef> Valor </th>
        <td mat-cell *matCellDef="let element"> {{element.value}} </td>
      </ng-container>
  
      <!-- Name Column -->
      <ng-container matColumnDef="causa">
        <th mat-header-cell *matHeaderCellDef> Causa </th>
        <td mat-cell *matCellDef="let element"> {{element.cause}} </td>
      </ng-container>
  
      <!-- Weight Column -->
      <ng-container matColumnDef="descripcion">
        <th mat-header-cell *matHeaderCellDef> Descripción </th>
        <td mat-cell *matCellDef="let element"> {{element.descCause}} </td>
      </ng-container>
  
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
  
    <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
  </div>